cURL
Management APIs
Monitor Progress
Use Bright Data Web Scraper API management endpoints to monitor Progress. GET /datasets/v3/progress/ returns snapshot or job status as JSON.
GET
cURL
Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
- Asynchronous Usage: Trigger a data collection job via the async endpoint (
/trigger), receive asnapshot_id, and poll the Monitor Progress API until the status is ready, then download the results. - Synchronous Usage: If a sync request (
/scrape) exceeds the 1-minute timeout, receive asnapshot_idto poll the Monitor Progress API and download the results once they are ready.
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
The ID that was returned when the collection was triggered
Example:
"s_m4x7enmven8djfqak"